package com.qmth.distributed.print.business.bean.dto;


import com.baomidou.mybatisplus.annotation.TableField;
import com.qmth.distributed.print.business.entity.ExamTask;
import com.qmth.distributed.print.business.enums.ExamPrintPlanSyncStatusEnum;
import com.qmth.distributed.print.business.enums.SyncCardTypeEnum;

import java.util.List;

/**
 * @Date: 2021/3/29.
 */
public class SyncExamTaskDto extends ExamTask {

    private String paperType;
    private String syncCardType;
    private Integer totalSubjects;

    private Integer syncSuccessCount;

    private Integer syncFailCount;

    private Integer syncInitCount;

    private String printPlanIds;

    private Long thirdRelateId;

    private String syncStatus;

    private String syncUserName;

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getSyncCardType() {
        return syncCardType;
    }

    public void setSyncCardType(String syncCardType) {
        this.syncCardType = syncCardType;
    }

    public Integer getTotalSubjects() {
        return totalSubjects;
    }

    public void setTotalSubjects(Integer totalSubjects) {
        this.totalSubjects = totalSubjects;
    }

    public Integer getSyncSuccessCount() {
        return syncSuccessCount;
    }

    public void setSyncSuccessCount(Integer syncSuccessCount) {
        this.syncSuccessCount = syncSuccessCount;
    }

    public Integer getSyncFailCount() {
        return syncFailCount;
    }

    public void setSyncFailCount(Integer syncFailCount) {
        this.syncFailCount = syncFailCount;
    }

    public Integer getSyncInitCount() {
        return syncInitCount;
    }

    public void setSyncInitCount(Integer syncInitCount) {
        this.syncInitCount = syncInitCount;
    }

    public String getPrintPlanIds() {
        return printPlanIds;
    }

    public void setPrintPlanIds(String printPlanIds) {
        this.printPlanIds = printPlanIds;
    }

    public Long getThirdRelateId() {
        return thirdRelateId;
    }

    public void setThirdRelateId(Long thirdRelateId) {
        this.thirdRelateId = thirdRelateId;
    }

    public String getSyncStatus() {
        return syncStatus;
    }

    public void setSyncStatus(String syncStatus) {
        this.syncStatus = syncStatus;
    }

    public String getSyncUserName() {
        return syncUserName;
    }

    public void setSyncUserName(String syncUserName) {
        this.syncUserName = syncUserName;
    }
}
